import React from "react";
import { BrowserRouter as Router, Switch, Route, Link } from "react-router-dom";
import { Button, Menu } from "antd";
import logo from "./logo.svg";
import "./App.css";
import * as gitlab from "./gitlab";
import { GitlabIssues } from "./GitlabIssues";
import { Setup } from "./Setup";

const App: React.FunctionComponent = (props) => {
  return (
    <Router>
      <div className="app">
        <Menu mode="horizontal">
          <Menu.Item>
            <Link to="/">Home</Link>
          </Menu.Item>
          <Menu.Item>
            <Link to="/Setup">Setup</Link>
          </Menu.Item>
          <Menu.Item>
            <Link to="/issues">Issues</Link>
          </Menu.Item>
        </Menu>

        {/* A <Switch> looks through its children <Route>s and
            renders the first one that matches the current URL. */}
        <Switch>
          <Route path="/setup">
            <Setup />
          </Route>
          <Route path="/issues">
            <GitlabIssues />
          </Route>
          <Route path="/">
            <Home />
          </Route>
        </Switch>
      </div>
    </Router>
  );
};

const Home: React.FunctionComponent = () => {
  return (
    <h2>
      <Button type="primary">Button</Button>
    </h2>
  );
};

export default App;
